Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrLexicon

    java.lang.Object
      org.modeshape.graph.JcrLexicon
          org.modeshape.jcr.JcrLexicon

    @Immutable
    public class JcrLexicon

extends JcrLexicon

Lexicon of names from the standard JCR "`http://www.jcp.org/jcr/1.0`" namespace.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.JcrLexicon
`JcrLexicon.Namespace`

Field Summary
`static Name` | `ACTIVITY`
`static Name` | `BASE_VERSION`
`static Name` | `CHILD_VERSION_HISTORY`
`static Name` | `CONFIGURATION`
`static Name` | `CONTENT`
`static Name` | `COPIED_FROM`
`static Name` | `CURRENT_LIFECYCLE_STATE`
`static Name` | `DATA`
`static Name` | `ENCODING`
`static Name` | `ETAG`
`static Name` | `FROZEN_MIXIN_TYPES`
`static Name` | `FROZEN_NODE`
`static Name` | `FROZEN_PRIMARY_TYPE`
`static Name` | `FROZEN_UUID`
`static Name` | `HOLD`
`static Name` | `IS_CHECKED_OUT`
`static Name` | `IS_DEEP`
`static Name` | `LANGUAGE`
`static Name` | `LIFECYCLE_POLICY`
`static Name` | `LOCK_IS_DEEP`
`static Name` | `LOCK_OWNER`
`static Name` | `MERGE_FAILED`
`static Name` | `NODE_TYPES`
`static Name` | `PATH` The "jcr:path" pseudo-column used in queries
`static Name` | `PREDECESSORS`
`static Name` | `RETENTION_POLICY`
`static Name` | `ROOT`
`static Name` | `ROOT_VERSION`
`static Name` | `SCORE` The "jcr:score" pseudo-column used in queries
`static Name` | `STATEMENT`
`static Name` | `SUCCESSORS`
`static Name` | `SYSTEM`
`static Name` | `VERSION_HISTORY`
`static Name` | `VERSION_LABELS`
`static Name` | `VERSION_STORAGE`
`static Name` | `VERSIONABLE_UUID`
`static Name` | `XMLTEXT`

Fields inherited from class org.modeshape.graph.JcrLexicon
`AUTO_CREATED, CHILD_NODE_DEFINITION, CREATED, CREATED_BY, DEFAULT_PRIMARY_TYPE, DEFAULT_VALUES, HAS_ORDERABLE_CHILD_NODES, IS_ABSTRACT, IS_FULL_TEXT_SEARCHABLE, IS_MIXIN, IS_QUERY_ORDERABLE, IS_QUERYABLE, LAST_MODIFIED, LAST_MODIFIED_BY, MANDATORY, MIMETYPE, MIXIN_TYPES, MULTIPLE, NAME, NODE_TYPE_NAME, ON_PARENT_VERSION, PRIMARY_ITEM_NAME, PRIMARY_TYPE, PROPERTY_DEFINITION, PROTECTED, QUERY_OPERATORS, REQUIRED_PRIMARY_TYPES, REQUIRED_TYPE, SAME_NAME_SIBLINGS, SUPERTYPES, UUID, VALUE_CONSTRAINTS, XMLCHARACTERS`

Constructor Summary
`JcrLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTIVITY

    public static final Name ACTIVITY

### BASE_VERSION

    public static final Name BASE_VERSION

### CHILD_VERSION_HISTORY

    public static final Name CHILD_VERSION_HISTORY

### CONFIGURATION

    public static final Name CONFIGURATION

### CONTENT

    public static final Name CONTENT

### COPIED_FROM

    public static final Name COPIED_FROM

### CURRENT_LIFECYCLE_STATE

    public static final Name CURRENT_LIFECYCLE_STATE

### DATA

    public static final Name DATA

### ENCODING

    public static final Name ENCODING

### ETAG

    public static final Name ETAG

### FROZEN_MIXIN_TYPES

    public static final Name FROZEN_MIXIN_TYPES

### FROZEN_NODE

    public static final Name FROZEN_NODE

### FROZEN_PRIMARY_TYPE

    public static final Name FROZEN_PRIMARY_TYPE

### FROZEN_UUID

    public static final Name FROZEN_UUID

### HOLD

    public static final Name HOLD

### IS_CHECKED_OUT

    public static final Name IS_CHECKED_OUT

### IS_DEEP

    public static final Name IS_DEEP

### LANGUAGE

    public static final Name LANGUAGE

### LIFECYCLE_POLICY

    public static final Name LIFECYCLE_POLICY

### LOCK_IS_DEEP

    public static final Name LOCK_IS_DEEP

### LOCK_OWNER

    public static final Name LOCK_OWNER

### MERGE_FAILED

    public static final Name MERGE_FAILED

### NODE_TYPES

    public static final Name NODE_TYPES

### PATH

    public static final Name PATH

  The "jcr:path" pseudo-column used in queries

### PREDECESSORS

    public static final Name PREDECESSORS

### RETENTION_POLICY

    public static final Name RETENTION_POLICY

### ROOT

    public static final Name ROOT

### ROOT_VERSION

    public static final Name ROOT_VERSION

### SCORE

    public static final Name SCORE

  The "jcr:score" pseudo-column used in queries

### STATEMENT

    public static final Name STATEMENT

### SUCCESSORS

    public static final Name SUCCESSORS

### SYSTEM

    public static final Name SYSTEM

### VERSIONABLE_UUID

    public static final Name VERSIONABLE_UUID

### VERSION_HISTORY

    public static final Name VERSION_HISTORY

### VERSION_LABELS

    public static final Name VERSION_LABELS

### VERSION_STORAGE

    public static final Name VERSION_STORAGE

### XMLTEXT

    public static final Name XMLTEXT

Constructor Detail

### JcrLexicon

    public JcrLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.